PHP Manual
Prev |  | Next

# apc_load_constants

(PECL)

apc_load_constants -- Loads a set of constants from the cache

## Description

bool apc_load_constants ( string key [, bool case_sensitive] )

## Parameters

key

  The name of the constant set (that was stored with apc_define_constants()) to be retrieved.

case_sensitive

  The default behaviour for constants is to be declared case-sensitive; i.e. CONSTANT and Constant represent different values. If this parameter evaluates to `FALSE` the constants will be declared as case-insensitive symbols.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. apc_load_constants() example
`<?php $constants = array( 'ONE' => 1, 'TWO' => 2, 'THREE' => 3, ); apc_define_constants('numbers', $constants); apc_load_constants('numbers'); echo ONE, TWO, THREE; ?>`
The above example will output:
    123

## See Also

apc_define_constants()
define()
constant()
Or the PHP constants reference

Prev | Home | Next
apc_fetch | Up | apc_sma_info